#!/usr/bin/env python
# -*- coding=utf-8 -*-
# modified from pwwang @http://pwwang.com

import os, gtk, gtkmozembed, pynotify

URL = "http://www.1g1g.com"
INIIAL_TITLE = ""
ICON = os.path.join(os.path.dirname(__file__), 'note_26.png')# change it to ur own favoured ico
VERSION = "1.0"
NAME = "1g1g"

class Browser(gtk.Window):

	def __init__(self):
		gtk.Window.__init__(self)
		self.set_default_size(300, 500)
		self.set_title(INIIAL_TITLE)
		self.page = gtkmozembed.MozEmbed()
		self.add(self.page)
		self.show_all()
		self.page.load_url(URL)
		self.connect("delete_event", self.minimize)

	def minimize(self, widget, event, data=None):
		self.hide()
		return True
	
	

class Tray():
	
	def __init__(self, window):
		self.window = window
		self.tray = gtk.StatusIcon()
		self.tray.set_from_file(ICON)
		#self.window.set_icon_from_file(ICON)
		self.tray.set_tooltip(NAME + ' ' + VERSION)
		self.tray.connect('activate', self.clickTray)
		self.tray.connect('popup-menu', self.popUp)
		self.window.page.connect('title', self.titleChange)

	def titleChange(self, data):
		pagetitle = self.window.page.get_title()
		windowtitle = self.window.get_title()		
		self.window.set_title(pagetitle)
		a="gnome-osd-client"+" "+'"'+pagetitle.lstrip()+'"'
		os.system(a)
		
	def clickTray(self, widget):
		if self.window.get_property('is-active'):
			self.window.hide()
		else:
			if self.tray.get_blinking():
				self.tray.set_blinking(False)
			self.window.present()

	def popUp(self, statusicon, button, activate_time):
		pop_menu = gtk.Menu()
		item1 = gtk.MenuItem('Show/Hide')
		item1.connect("activate", self.clickTray)
		pop_menu.append(item1)

		item2 = gtk.MenuItem('Author:\n Zhengda')
		pop_menu.append(item2)

		item3 = gtk.ImageMenuItem(gtk.STOCK_QUIT)
		item3.connect("activate", self.quit)
		pop_menu.append(item3)

		pop_menu.show_all()
		pop_menu.popup(None, None, None, 0, gtk.get_current_event_time())

	def quit(self,widget):
		gtk.main_quit()



class music():
	
	def __init__(self):
		self.window = Browser()
		self.tray = Tray(self.window)

if __name__ == '__main__':
	music()
	gtk.main()

